Package com.massivecraft.factions.zcore

## Class MPluginSecretPlayerListener

- java.lang.Object
- - com.massivecraft.factions.zcore.MPluginSecretPlayerListener

All Implemented Interfaces:
  `org.bukkit.event.Listener`

    public class MPluginSecretPlayerListener
    extends java.lang.Object
    implements org.bukkit.event.Listener

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`MPluginSecretPlayerListener​(MPlugin p)` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `onPlayerChat​(org.bukkit.event.player.AsyncPlayerChatEvent event)` |
`void` | `onPlayerCommandPreprocess​(org.bukkit.event.player.PlayerCommandPreprocessEvent event)` |
`void` | `onPlayerPreLogin​(org.bukkit.event.player.PlayerLoginEvent event)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MPluginSecretPlayerListener

    public MPluginSecretPlayerListener​(MPlugin p)

### Method Detail

#### onPlayerCommandPreprocess

    public void onPlayerCommandPreprocess​(org.bukkit.event.player.PlayerCommandPreprocessEvent event)

#### onPlayerChat

    public void onPlayerChat​(org.bukkit.event.player.AsyncPlayerChatEvent event)

#### onPlayerPreLogin

    public void onPlayerPreLogin​(org.bukkit.event.player.PlayerLoginEvent event)